%global pkg_name        PPI
%global pkg_version     1.201
%global rpm_pkg_version 1.201
%global rpm_pkg_release 1.n0i.15

Summary:       Parse, Analyze and Manipulate Perl (without perl)
Name:          perl-%{pkg_name}
Version:       %{rpm_pkg_version}
Release:       %{rpm_pkg_release}%{?cpan_version}%{?dist}

Group:         Development/Libraries
License:       GPL+ or Artistic
URL:           http://search.cpan.org/dist/%{pkg_name}/
Source0:       http://www.cpan.org/authors/id/A/AD/ADAMK/%{pkg_name}-%{pkg_version}.tar.gz

BuildArch:     noarch
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: rpm-build-reb00t-perl
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Carp)
BuildRequires: perl(Clone)           >= 0.22
BuildRequires: perl(Digest::MD5)     >= 2.27
BuildRequires: perl(File::Remove)    >= 0.34
BuildRequires: perl(File::Spec)      >= 0.84
BuildRequires: perl(IO::String)      >= 1.07
BuildRequires: perl(List::MoreUtils) >= 0.13
BuildRequires: perl(List::Util)      >= 1.19
BuildRequires: perl(Params::Util)    >= 0.10
BuildRequires: perl(Storable)        >= 2.14
BuildRequires: perl(Task::Weaken)
BuildRequires: perl(Test::ClassAPI)  >= 1.03
BuildRequires: perl(Test::More)      >= 0.47
BuildRequires: perl(Test::Object)    >= 0.07
BuildRequires: perl(Test::SubCalls)  >= 1.06

Requires: perl(Clone)           >= 0.22
Requires: perl(Digest::MD5)     >= 2.27
Requires: perl(File::Remove)    >= 0.34
Requires: perl(File::Spec)      >= 0.84
Requires: perl(IO::String)      >= 1.07
Requires: perl(List::MoreUtils) >= 0.13
Requires: perl(List::Util)      >= 1.19
Requires: perl(Params::Util)    >= 0.10
Requires: perl(Storable)        >= 2.14
%global perl_filter_req 'perl\\((Clone|Digest::MD5|File::Remove|File::Spec|IO::String|List::MoreUtils|List::Util|Params::Util|Storable)\\)$'


%description
The purpose of PPI is not to parse Perl *Code*, but to parse Perl
*Documents*. By treating the problem this way, we are able to parse a
single file containing Perl source code "isolated" from any other
resources, such as libraries upon which the code may depend, and without
needing to run an instance of perl alongside or inside the parser.


%prep
%setup -q -n %{pkg_name}-%{pkg_version}
%{fix_encoding -f iso-8859-1 Changes}


%build
%{perl_build}
%{!?_without_test:%{__make} test}


%install
%{__rm} -rf $RPM_BUILD_ROOT
%{perl_install}


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{perl_files}
%doc Changes LICENSE README


%changelog
* Mon Oct 22 2007 Marius Feraru <altblue@n0i.net> - 1.201-1.n0i.15
- version 1.201

* Mon Oct 15 2007 Marius Feraru <altblue@n0i.net> - 1.200-1.n0i.14
- version 1.200
- versioned Req's where appropriate

* Fri Oct 12 2007 Marius FERARU <altblue@n0i.net> - 1.199_07-1.n0i.13
- version 1.199_07 (aka 1.200RC3)

* Wed Oct 10 2007 Marius FERARU <altblue@n0i.net> - 1.199_06-1.n0i.12
- version 1.199_06 (aka 1.200RC2)

* Tue Oct 09 2007 Marius Feraru <altblue@n0i.net> - 1.199_05-1.n0i.11
- version 1.199_05
- updated BR

* Sun Jun 10 2007 Marius Feraru <altblue@n0i.net> - 1.118-2.n0i.10
- spec file (re)created using N0i::CPAN::RPMizer/1.14.8

* Sun Dec 10 2006 Marius FERARU <altblue@n0i.net> - 1.118-1.n0i.9
- version 1.118

* Sun Jun 04 2006 Marius Feraru <altblue@n0i.net> - 1.115-1.n0i.8
- version 1.115

* Fri May 26 2006 Marius Feraru <altblue@n0i.net> - 1.114-1.n0i.7
- version 1.114

* Thu May 11 2006 Marius Feraru <altblue@n0i.net> - 1.113-1.n0i.6
- version 1.113

* Tue May 02 2006 Marius Feraru <altblue@n0i.net> - 1.112-1.n0i.5
- version 1.112

* Fri Feb 03 2006 Marius Feraru <altblue@n0i.net> 1.110-1.n0i.4
- version 1.110

* Thu Nov 10 2005 Marius Feraru <altblue@n0i.net> 1.104-1.n0i.3
- version 1.104

* Thu Oct 06 2005 Marius Feraru <altblue@n0i.net> 1.103-1.n0i.2
- version 1.103

* Fri Sep 02 2005 Marius Feraru <altblue@n0i.net> 1.003-1.n0i.1
- spec file (re)created using N0i::CPAN::RPMizer/1.10
- rebuild on perl 5.8.7
